Description

Just an idea:

I would like to split the current initializeView into two methods:

detectViewForCurrentAction()  (returns a view or emptyView)

initializeView($view)  (that initialisze a view with controller context)

That way if required you are also able to set your own view in your action like:

myAction() {

//...some logik
$newView=...
$this->initializeView($newView);

...

Associated revisions
Revision 05651b00 - 2009-05-26 22:38 - Robert Lemke

    -  FLOW3: (MVC) !!! Moved the code from ActionController::initializeView() to resolveView() and introduced a new (empty) initializeView($view)
method which can be used to initialize arbitrary views or let developers do some cusomt initialization without having to resolve the view themselves.
Resolves #1501

History
#1 - 2009-05-16 19:32 - Robert Lemke
- Target version set to 1.0 alpha 1

#2 - 2009-05-26 12:05 - Robert Lemke
- Status changed from New to Needs Feedback
- Priority changed from Could have to -- undefined --
- Target version changed from 1.0 alpha 1 to 283

What you can do currently is

    -  setting $this->viewObjectNamePattern 
    -  or setting $this->defaultViewObjectName
    -  or completely overriding resolveViewObjectName()

Would that help in your case?

#3 - 2009-05-26 14:21 - Daniel Poetzinger

What if in my action one view is not enough?
e.g.:

if (check some thing)
     $errorView=get some special view 
     $this->initializeView($errorView)
     $errorView->setMessage(....)

Or if I want to build a composite view in the action?
 ....
 $this->initializeView($initialisedSubView)
 $this->view->setSpecialSubView($initialisedSubView);

#4 - 2009-05-26 22:29 - Robert Lemke
- Status changed from Needs Feedback to Accepted
- Priority changed from -- undefined -- to Should have
- Target version changed from 283 to 1.0 alpha 1

#5 - 2009-05-26 23:00 - Robert Lemke
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2404.
